Categories:
  - System
License: GPL-3.0-only
AuthorName: Darshan Computing, LLC
AuthorEmail: support@batterybot.info
WebSite: https://www.batterybot.info/
SourceCode: https://github.com/darshan-/Battery-Indicator-Pro
IssueTracker: https://github.com/darshan-/Battery-Indicator-Pro/issues
Donate: https://github.com/darshan-/Battery-Indicator-Support/blob/HEAD/PackageDownload.md#support--donate

AutoName: BatteryBot Pro
Description: |-
    Shows your battery charge level (percent) as an icon in your status bar, with
    temperature, health, voltage, and time since plugged / unplugged in the
    notification area. It also has user-configurable alarms, logs, and widgets.

    * Automatic time-remaining estimates based on recent usage
    * Several icon sets (including fully configurable green, amber, red, and black icons)
    * Small (1x1) and large (4x1) app widgets
    * Notification (with status bar icon) is now optional -- can be used as just a desktop widget
    * Battery logging. You can log the battery state (charge, status, voltage, temperature) and browse the logs on the phone or export to CSV.
    * Manually or automatically disable / re-enable device lock screen / lockscreen / keyguard
    * Alarms (full, charge above X, charge below X, temperature above X, or health failure)
    * Control the notification priority on Android 4.1+ (For example, you can set to "minimum" to hide the icon but keep the notification in the tray.)

RepoType: git
Repo: https://github.com/darshan-/Battery-Indicator-Pro

Builds:
  - versionName: 8.1.8
    versionCode: 11162
    commit: 698744debcd8840873f74f97dd25ead65be35364
    rm:
      - custom_rules.xml
      - image-playground
      - test
    target: android-17

  - versionName: 8.1.10
    versionCode: 11166
    commit: c3c09811ff19
    rm:
      - custom_rules.xml
      - image-playground
      - test
    target: android-17

  - versionName: 8.2.0
    versionCode: 11170
    commit: 74675a3af4db
    rm:
      - custom_rules.xml
      - image-playground
      - test
    target: android-21

  - versionName: 9.0.1
    versionCode: 11200
    commit: c1e9e3730424e15af7e03773a92f9b83c3a03b69
    target: android-22

  - versionName: 10.0.4
    versionCode: 13030
    commit: 8646f70e90fd41bd1c263ce433d23c3ce0037d77
    gradle:
      - yes
    prebuild: sed -i -e '/secureProperties/d' build.gradle

  - versionName: 11.0.2
    versionCode: 26010
    commit: 955584b91e20f5cede74eac5a23fad73fa87d10f
    gradle:
      - yes
    prebuild: sed -i -e '/secureProperties/d' build.gradle

  - versionName: 11.0.4
    versionCode: 26014
    commit: 1133e36467e59a8e2bfe7e98240dc50606be91bb
    gradle:
      - yes
    prebuild:
      - sed -i -e '/secureProperties/d' build.gradle
      - echo -e "android.useAndroidX=true\nandroid.enableJetifier=true" > gradle.properties

  - versionName: 12.0.0
    versionCode: 26016
    commit: 3f4efb4102c582b9e21c7bd8ae096f27d03d1635
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - sed -i -e '/secureProperties/d' build.gradle
      - echo -e "android.useAndroidX=true\nandroid.enableJetifier=true" > gradle.properties

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: 12.0.1-dev
CurrentVersionCode: 26017
